petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSSetPreStep

Sets the general-purpose function called once at the beginning of each time step.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetPreStep(TS ts, PetscErrorCode (*func)(TS))

Logically Collective on TS

### Input Parameters

| ts | - The TS context obtained from TSCreate()
| func | - The function

### Calling sequence of func

func (TS ts); -

### Keywords

TS, timestep

### See Also

TSSetPreStage(), TSSetPostStage(), TSSetPostStep(), TSStep(), TSRestartStep()

### Level

intermediate

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages